ArrayIterator::serialize
ArrayIterator::uasort
ArrayIterator
PHP Manual

# ArrayIterator::setFlags

Set behaviour flags

### Description

public void ArrayIterator::setFlags ( string `$flags` )

Sets behaviour flags.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`flags`

  A bitmask as follows:

  - 0 = Properties of the object have their normal functionality when accessed as list (var_dump, foreach, etc.).
  - 1 = Array indices can be accessed as properties in read/write.

### Return Values

No value is returned.

### See Also

- ArrayIterator::getFlags